package net.gorry.test.createtest;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.widget.TextView;

public class CreateTestActivity extends Activity {
	private static final String TAG = "CreateTestActivity";
	private static final boolean V = false;
	private static final boolean D = false;
	private static final boolean I = true;

	private static boolean mCreated = false;
	private static boolean mRestarted = false;
	private static boolean mStarted = false;
	private static boolean mResumed = false;
	private static boolean mPaused = false;
	private static boolean mStopped = false;
	private static boolean mDestroyed = false;
	
	@Override
    public void onCreate(Bundle savedInstanceState) {
    	if (I) Log.i(TAG, "onCreate()");
    	super.onCreate(savedInstanceState);
   		setContentView(R.layout.hello);
    	mCreated = true;
    }

	@Override
	public void onStart() {
		if (I) Log.i(TAG, "onStart()");
		super.onStart();
    	mStarted = true;
	}

	@Override
	public void onRestart() {
		if (I) Log.i(TAG, "onRestart()");
		super.onRestart();
    	mRestarted = true;
	}

	@Override
	protected void onResume() {
		if (I) Log.i(TAG, "onResume()");
		super.onResume();
		mResumed = true;

		printStatus();
	}

	@Override
	protected void onPause() {
		if (I) Log.i(TAG, "onPause()");
		super.onPause();
		mPaused = true;
	}

	@Override
	protected void onStop() {
		if (I) Log.i(TAG, "onStop()");
		super.onStop();
		mStopped = true;
	}

	@Override
	protected void onDestroy() {
		if (I) Log.i(TAG, "onDestroy()");
		super.onDestroy();
		mDestroyed = true;
	}

	
	void printStatus() {
		TextView t = (TextView)findViewById(R.id.textview);
		String s = "";

		if (mCreated) {
			s += "Created\n";
		} else {
			s += "Not Created\n";
		}
		mCreated = false;

		if (mStarted) {
			s += "Started\n";
		} else {
			s += "Not Started\n";
		}
		mStarted = false;

		if (mRestarted) {
			s += "Restarted\n";
		} else {
			s += "Not Restarted\n";
		}
		mRestarted = false;

		if (mResumed) {
			s += "Resumed\n";
		} else {
			s += "Not Resumed\n";
		}
		mResumed = false;

		if (mPaused) {
			s += "Paused\n";
		} else {
			s += "Not Paused\n";
		}
		mResumed = false;

		if (mStopped) {
			s += "Stopped\n";
		} else {
			s += "Not Stopped\n";
		}
		mStopped = false;

		if (mDestroyed) {
			s += "Destroyed\n";
		} else {
			s += "Not Destroyed\n";
		}
		mDestroyed = false;

		t.setText(s);
	}
	
}